* {
  box-sizing: border-box;
  font-family: 'Segoe UI', Tahoma, sans-serif;
}

body {
  margin: 0;
  min-height: 100vh;
  background: linear-gradient(135deg, #1b4ed8, #6a5cff);
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  position: relative;
  background:
  radial-gradient(circle 700px at 20% -10%, #1a3a73 60%, transparent 70%),
  radial-gradient(circle 600px at 20% 0%, transparent 60%, #1a3a73 60%, #0e2346 58%, transparent 70%),
  radial-gradient(circle 600px at 10% 5%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 600px at 40% 140%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 600px at 17% 140%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 1150px at 30% 180%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 1150px at -5% 180%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 1150px at -5% 172%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 1150px at -5% 162%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 1150px at -15% 148%, #1a3a73 60%, #0e2346 20%, transparent 70%),

  /* lado derecho */

  radial-gradient(circle 700px at 80% -10%, #1a3a73 60%, transparent 70%),
  radial-gradient(circle 600px at 80% 0%, #1a3a73 60%, #0e2346 20%, transparent 70%),

  radial-gradient(circle 1150px at 120% 140%, transparent 58%, #1a3a73 60%, #0e2346 20%, transparent 70%),

  radial-gradient(circle 1150px at 110% 180%, transparent 58%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 1150px at 110% 170%, transparent 58%, #1a3a73 60%, #0e2346 20%, transparent 70%),

  radial-gradient(circle 1150px at 80% 172%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 1150px at 80% 162%, #1a3a73 60%, #0e2346 20%, transparent 70%),
  radial-gradient(circle 1150px at 80% 148%, #1a3a73 60%, #0e2346 20%, transparent 70%),

  linear-gradient(180deg, #1a3a73, #0e2346);
}

/* ONDAS DEL FONDO */
.background-waves::before,
.background-waves::after {
  content: "";
  position: absolute;
  width: 900px;
  height: 900px;
  background: radial-gradient(circle, rgba(255,255,255,0.25), transparent 70%);
  filter: blur(70px);
}

.background-waves::before {
  top: -300px;
  left: -300px;
}

.background-waves::after {
  bottom: -350px;
  right: -350px;
}

/* CONTENEDOR PRINCIPAL */
.login-wrapper {
  width: 1200px;
  max-width: 95%;
  height: 620px;
  display: flex;
  border-radius: 22px;
  overflow: hidden;
  box-shadow: 0 40px 90px rgba(0,0,0,0.35);
  position: relative;
  z-index: 1;
}

/* PANEL IZQUIERDO */
.login-left {
  width: 40%;
  padding: 48px;
  background: linear-gradient(180deg, #1f4fd8, #6b4fdc);
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
/* background:

radial-gradient(circle 700px at 10% 155%, transparent 50%, #1a3a73 65%, #0e2346 40%, transparent 70%),
radial-gradient(circle 900px at 55% 175%, transparent 50%, #1a3a73 65%, #0e2346 40%, transparent 70%),
radial-gradient(circle 650px at 55% 155%, transparent 50%, #1a3a73 65%, #0e2346 40%, transparent 70%),
radial-gradient(circle 700px at -10% 145%, transparent 50%, #1a3a73 65%, #0e2346 40%, transparent 70%),
radial-gradient(circle 700px at 40% 20%, transparent 50%, #1a3a73 65%, #0e2346 40%, transparent 70%),

linear-gradient(
    180deg,
    #0e2346 0%,
    #1a3a73 50%,
    #0e2346 100%
);*/
background:

radial-gradient(circle 700px at 10% 155%, 
  transparent 50%, 
  #1a3a73 63%, 
  #cf9c30 64%,   /* línea dorada */
  #1a3a73 65%, 
  #0e2346 40%, 
  transparent 70%
),

radial-gradient(circle 900px at 55% 175%, 
  transparent 50%, 
  #1a3a73 63%, 
  #cf9c30 64%, 
  #1a3a73 65%, 
  #0e2346 40%, 
  transparent 70%
),

radial-gradient(circle 650px at 55% 155%, 
  transparent 50%, 
  #1a3a73 63%, 
  #cf9c30 64%, 
  #1a3a73 65%, 
  #0e2346 40%, 
  transparent 70%
),

radial-gradient(circle 700px at -10% 145%, 
  transparent 50%, 
  #1a3a73 63%, 
  #cf9c30 64%, 
  #1a3a73 65%, 
  #0e2346 40%, 
  transparent 70%
),

radial-gradient(circle 700px at 40% 20%, 
  transparent 50%, 
  #1a3a73 63%, 
  #cf9c30 64%, 
  #1a3a73 65%, 
  #0e2346 40%, 
  transparent 70%
),

linear-gradient(
    180deg,
    #0e2346 0%,
    #1a3a73 50%,
    #0e2346 100%
);
}

.brand {
  display: flex;
  align-items: center;
  gap: 12px;
  margin-bottom: 40px;
}

.brand img {
  width: 100px;
}

.brand h1 {
  margin: 0;
  font-size: 26px;
  color: #cf9c30,;
}

.brand p {
  margin: 2px 0 0;
  font-size: 14px;
  opacity: 0.85;
}

.login-left h2 {
  font-size: 22px;
  margin-bottom: 22px;
}

/* FORMULARIO */
.login-form {
  width: 100%;
}

.input-box {
  background: #fff;
  border-radius: 10px;
  padding: 12px 14px;
  display: flex;
  align-items: center;
  margin-bottom: 16px;
}

.input-box input {
  border: none;
  outline: none;
  flex: 1;
  font-size: 14px;
}

.icon {
  margin-right: 8px;
  color: #6c757d;
}

.eye {
  cursor: pointer;
  opacity: 0.7;
}

button {
  width: 100%;
  margin-top: 10px;
  padding: 13px;
  border: none;
  border-radius: 10px;
  background: linear-gradient(135deg, #7b5cff, #5a3fe0);
  color: #fff;
  font-size: 15px;
  font-weight: 600;
  cursor: pointer;
  box-shadow: 0 10px 25px rgba(0,0,0,0.25);
  transition: transform 0.2s ease;
}

button:hover {
  transform: translateY(-1px);
}

.help {
  display: block;
  margin-top: 16px;
  font-size: 13px;
  color: #e0e0ff;
  text-decoration: none;
}

.help:hover {
  text-decoration: underline;
}

/* PANEL DERECHO */
.login-right {
  width: 60%;
  background: #f3f5fa;
}

.login-right img {
  /*width: 100%;*/
  height: 100%;
  object-fit: cover;
}

/* RESPONSIVE */
@media (max-width: 900px) {
  .login-wrapper {
    flex-direction: column;
    height: auto;
  }

  .login-right {
    display: none;
    
  }

  .login-left {
    width: 100%;
  }
}